Bug 206589 - [or_IN] - Some GSUB Conjuncts with Priority -C, are not appearing with its correct shape.
[or_IN] - Some GSUB Conjuncts with Priority -C, are not appearing with its c...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fonts-indic (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Rahul Bhalerao
: i18n
Depends On:
Blocks: 206581
  Show dependency treegraph
 
Reported: 2006-09-15 01:35 EDT by Satyabrata Maitra
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-28 05:43:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Satyabrata Maitra 2006-09-15 01:35:56 EDT
Description of problem:
Some of the Conjuncts in GSUB category are not appearing with its correct shape
after combine. Those Lists are mentioned in the 1st Comment. All these are
priority C or Low category.

Version-Release number of selected component (if applicable):
fonts-oriya-2.0.1-1
pango-1.14.3-1.fc6

How reproducible:
Always

Steps to Reproduce:
1. Open gedit
2. Activate SCIM with CTRL+SPACE.
3. Select RAWCODE from the scim-table in Others
4. Type the unicode sequentially as given in the 1st comment but without 'U' and 
   '+'.
5. Observe the result.
  
Actual results:
Shapes, appearing is not correct. 

Expected results:
Shape should be correctly appearing.

Additional info:
Please see the 1st Comment for the List of Unicode Combinations of conjuncts,
those are showing incorrectly.
Comment 1 Satyabrata Maitra 2006-09-15 01:44:07 EDT
List of Conjuncts :

Unicode Combinations:

U+0B19 U+0B4D U+0B33
U+0B2F U+0B4D U+0B24
U+0B38 U+0B4D U+0B18
U+0B39 U+0B4D U+0B33
U+0B15 U+0B4D U+0B16
U+0B15 U+0B4D U+0B17
U+0B15 U+0B4D U+0B18
U+0B15 U+0B4D U+0B1A
U+0B15 U+0B4D U+0B1B
U+0B15 U+0B4D U+0B21
U+0B15 U+0B4D U+0B22
U+0B15 U+0B4D U+0B23
U+0B15 U+0B4D U+0B26
U+0B15 U+0B4D U+0B2A
U+0B15 U+0B4D U+0B2B
U+0B15 U+0B4D U+0B2D
U+0B15 U+0B4D U+0B39

Comment 2 Satyabrata Maitra 2006-09-26 03:54:47 EDT
I tested the Font Test Cases with the latest version of fonts available in the
Rawhide. But Fot some pango issue, its showing wrong!! The patch that has
claimed already been developed for this issue resolution, has still not been
built in pango and available as rpm. So, whenever it will be available, I will
again perform the test and the result will be reflected on this bug as comment.

Version tested :

fonts-oriya-2.0.4-1
pango-1.14.4-1.fc6
pango-devel-1.14.4-1.fc6 
Comment 3 Lawrence Lim 2006-09-28 22:36:27 EDT
Tested with the following packages, bug still exist.

fonts-oriya-2.0.4-1 (dist-fc6)
pango-1.14.4-3 (test rpm)

Comment 4 Rahul Bhalerao 2006-09-29 00:56:23 EDT
Could you give the screenshot for failing conjuncts?

All these combinations are working with all the patches installed.
Confirmed with S Behera.
Comment 5 Lawrence Lim 2006-09-29 03:19:30 EDT
What are the fix that goes into this bug?? Could it be linked properly, if there
a problem down the track. It will be easier to revert any changes if necessary.
Comment 6 Rahul Bhalerao 2006-10-03 09:48:25 EDT
The font patches submitted on bug #206581, along with pango patches #207456,
cloned as #209096, fix this bug as well.
Comment 7 A S Alam 2007-04-28 05:43:02 EDT
Those combinations are working according to TestCase Image
Tested with following package:
fonts-oriya-2.1.5-1.fc7

Note You need to log in before you can comment on or make changes to this bug.